summaryrefslogtreecommitdiffstats
path: root/sysutils/pear-Log/pkg-deinstall
diff options
context:
space:
mode:
Diffstat (limited to 'sysutils/pear-Log/pkg-deinstall')
-rw-r--r--sysutils/pear-Log/pkg-deinstall13
1 files changed, 13 insertions, 0 deletions
diff --git a/sysutils/pear-Log/pkg-deinstall b/sysutils/pear-Log/pkg-deinstall
new file mode 100644
index 0000000..c17e9d1
--- /dev/null
+++ b/sysutils/pear-Log/pkg-deinstall
@@ -0,0 +1,13 @@
+#!/bin/sh
+#
+# $FreeBSD$
+#
+# Remove package declaration from PEAR's registry.
+
+if [ x$2 != xDEINSTALL ]; then
+ exit
+fi
+PKG_NAME=${1%%-[0-9._]*}
+PACKAGE=$(echo $PKG_NAME | sed 's/pear-//')
+
+${PKG_PREFIX}/bin/pear uninstall -r ${PACKAGE} || true
OpenPOWER on IntegriCloud